Bug 247069 - Initscript Review
Initscript Review
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: syslog-ng (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Douglas E. Warner
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
 
Reported: 2007-07-05 09:59 EDT by Harald Hoyer
Modified: 2009-01-09 02:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:10:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 09:59:56 EDT
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Vince Schiavoni 2007-08-06 01:45:58 EDT
Greetings:

I have been meaning to look into this for a long time, and finally got around to
it, so I am adding my comments here, because I think that the syslog-ng
initscript (/etc/rc.d/init.d/syslog-ng) is faulty: every time I shut-down or
reboot my system or (re)start syslog-ng, I receive an error message something
like "Stopping syslog-ng [FAILED]".  I have seen this same message on every
shut-down/reboot/restart for almost a year.  No other service returns such an
error.  The only obvious thing that I see is that in /etc/rc.d/init.d/syslog-ng,
"retval" is lowercase, whereas it is uppercase in other initscripts; but I don't
know enough about this stuff to know for sure if this is a problem, and I'd
rather not play with it to find out (I have not edited/altered the script). 
Please investigate.

Thanx and Regards,
Vince Schiavoni

uname -a: Linux presario.localdomain 2.6.22.1-32.fc6 #1 SMP Wed Aug 1 15:15:33
EDT 2007 i686 athlon i386 GNU/Linux
syslog-ng-1.6.12-1.fc6
Smolt Profile:
http://smolt.fedoraproject.org/show?UUID=02d04cb7-5a0e-4b31-8f1f-7be6f2d85507
Comment 2 Bug Zapper 2008-04-04 09:17:26 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Vince Schiavoni 2008-04-04 09:38:43 EDT
Since rsyslog appears to be the "official" choice to replace syslogd, and is
incompatible/conflicts with syslog-ng, I personally see little point in keeping
this bug open - nor even for continuing to offer syslog-ng as a package for
Fedora for that matter.

Thanx and regards,
VJSchiavoni
Comment 4 Douglas E. Warner 2008-04-07 09:36:11 EDT
syslog-ng is a very active project and has a large user base.  Removing it 
from Fedora would be a mistake.

The conflicts with rsyslog are due to double log rotation (bug#429958).

I'm currently working on this for the next package release.
Comment 5 Matěj Cepl 2008-06-27 12:38:55 EDT
Just note from your friendly bug triager -- correct status of the bug according
to https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow is ASSIGNED.
Please, correct this bug to the right state, if I am wrong.
Comment 6 Bug Zapper 2008-11-26 02:32:07 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:10:15 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.